Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005820ScribusUsabilitypublic2007-06-02 03:172009-08-17 09:28
Reporterbastiyxc 
Assigned Tojghali 
PrioritynormalSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
Platformamd OSwindows OS Versionxp sp2
Product Version1.3.4 
Target Version1.5.0Fixed in Version1.5.0svn 
Summary0005820: masterpage/ layer hierarchy not apply on regular page
Descriptionfew days ago, i described from an error in the program(in german). the article be closed, and has been even deleted.

the problem was that layers which were provided of the masterPAGE those apply to a side in the document, the masterPage was merge down to one layer in background.

with "scribus 1.3.4" it's possible now, that objects from the masterPAGE get in the correct layer on the regular page, the masterPAGE never more merge to one layer. But the muddle is everything which I allocate later on the regular document page masking the content from masterpage. if now I draw into a new layer below the existing layers, nevertheless contents appear above the existing layers (they contains objekts from masterPage). in other dtp-application (indesign) the layer-structure(hierarchy)from masterpage has been conserved and apply to the regular dokument pages, not so in scribus. it's not possible to construct page numbers or other recurring objects those must be changed fast and most importantly those must be over all others(e.g. page numbers, above photos which cover the complete pages ).



Additional Informationhttp://img294.imageshack.us/img294/89/scribusoj1.png [^]
TagsNo tags attached.
Patch
Attached Files? file icon Dokument-1.sla [^] (61,506 bytes) 2007-06-02 03:17

- Relationships
related to 0005818closedjghali Don't display layers on a master page if not in master page mode. 
related to 0004399closedale Level of Objects and Masterpages 
has duplicate 0006551closedjghali Masterpage-Layer handling suggestion. 
has duplicate 0008398closedchristoph_s Allow layers from master pages to be on top of the page content 
has duplicate 0010732closedjghali Sidenumbers are not visible when a background image is inserted 

-  Notes
(0016399)
christoph_s (administrator)
2007-06-02 04:28

>>>the article be closed, and has been even deleted.

bastiyxc, your report has been closed, but not deleted. It's still there: http://bugs.scribus.net/view.php?id=5728 [^]

Please let's sort things out carefully. IMHO, you have a valid point here, comparing this request with the two related ones. Just be patient, some things are more complicated to develop than you might expect.
(0022357)
christoph_s (administrator)
2009-08-17 09:28

Tested, fixed. Thanks!

- Issue History
Date Modified Username Field Change
2007-06-02 03:17 bastiyxc New Issue
2007-06-02 03:17 bastiyxc File Added: Dokument-1.sla
2007-06-02 04:28 christoph_s Note Added: 0016399
2007-06-02 04:29 christoph_s Relationship added related to 0005818
2007-06-02 04:30 christoph_s Relationship added related to 0004399
2007-12-03 22:12 jghali Relationship added has duplicate 0006551
2007-12-30 01:05 jghali Target Version => 1.3.6
2008-02-05 20:06 christoph_s Status new => acknowledged
2009-08-16 23:59 jghali Status acknowledged => resolved
2009-08-16 23:59 jghali Fixed in Version => 1.5.0svn
2009-08-16 23:59 jghali Resolution open => fixed
2009-08-16 23:59 jghali Assigned To => jghali
2009-08-17 09:28 christoph_s Note Added: 0022357
2009-08-17 09:28 christoph_s Status resolved => closed
2009-08-29 23:08 christoph_s Relationship added has duplicate 0008398
2012-06-04 21:00 jghali Relationship added has duplicate 0010732



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker